## hlins 0.38

=== doc/examples/hlins-documentation/Makefile ===
# Makefile for the Hlins documentation
# Requires a running hlins and hevea
#######################################################################

hlins-doc.html: hlins-doc-nolinks.html hlins-doc.adr
	hlins -db hlins-doc.adr -o hlins-doc.html hlins-doc-nolinks.html
	cp hlins-doc.adr hlins-doc.html  ../..

hlins-doc-nolinks.html: hlins-doc.tex
	hevea < hlins-doc.tex > hlins-doc-nolinks.html

hlins-doc.dvi: hlins-doc.tex
	latex hlins-doc

hlins-doc.ps: hlins-doc.dvi
	dvips -o hlins-doc.ps hlins-doc.dvi

clean:
	-rm -f *.aux *.log hlins-doc.{dvi,ps,html,log,aux} 

distclean: clean
	-rm -f *~

genclean: clean
	-rm -f hlins-doc-nolinks.html hlins-doc.html

## hlins 0.39

=== Makefile ===
include Version
PROGVER = hlins-$(VERSION)

dummy: all

configure:
	(cd source; ./configure)

# if configured with "make configure":
all:
	(cd source; make)

install:
	(cd source; make install)
	(cd doc; make install)

# for ocaml bytecode compilation
all.bc:
	(cd source; make hlins.bc)

install.bc:
	(cd source; make install.bc)
	(cd doc; make install)


distrib:
	(cd doc/examples/hlins-documentation; make)
	make tarball

# cleanup and building tarball
tarball: distclean
	mkdir $(PROGVER)
	cp -r source doc Makefile Version $(PROGVER)
	-rm $(PROGVER)/*~ $(PROGVER)/*/*~ $(PROGVER)/*/*/*~
	tar --exclude="CVS" --exclude=".cvsignore"\
		-cvf $(PROGVER).tar $(PROGVER)
	gzip -f $(PROGVER).tar
	rm -r $(PROGVER)

clean:
	(cd source; make clean)
	(cd doc; make clean)

distclean:
	(cd source; make distclean)
	(cd doc; make distclean)
	-rm -r $(PROGVER)

=== doc/Makefile ===
# Makefile for the Hlins documentation
#######################################################################

FILES   = hlins-doc.html changelog LICENSE examples
DOCDIR  = /usr/share/doc/hlins
MANDIR  = /usr/share/man/man1
DESTDIR =

########################################################################

hlins-doc.html:

install: hlins-doc.html
	mkdir -p $(DESTDIR)/$(DOCDIR)
	\cp -r $(FILES) $(DESTDIR)/$(DOCDIR)
	cp hlins.1 $(DESTDIR)/$(MANDIR)

clean:
	(cd examples/hlins-documentation && make clean)
	(cd examples/test-examples && make clean)

distclean:
	-rm -f *~
	(cd examples/hlins-documentation && make distclean)
	(cd examples/test-examples && make distclean)

=== doc/examples/hlins-documentation/Makefile ===
--- 
+++ 
@@ -2,9 +2,9 @@
 # Requires a running hlins and hevea
 #######################################################################
 
-hlins-doc.html: hlins-doc-nolinks.html hlins-doc.adr
-	hlins -db hlins-doc.adr -o hlins-doc.html hlins-doc-nolinks.html
-	cp hlins-doc.adr hlins-doc.html  ../..
+hlins-doc.html: hlins-doc-nolinks.html ../../hlins-doc.adr
+	hlins -db ../../hlins-doc.adr -o hlins-doc.html hlins-doc-nolinks.html
+	cp hlins-doc.html  ../..
 
 hlins-doc-nolinks.html: hlins-doc.tex
 	hevea < hlins-doc.tex > hlins-doc-nolinks.html

=== doc/examples/test-examples/Makefile ===
HLINS=../../../source/hlins

all: test1.out test2.out

test1.out: $(HLINS) directors.db test1.in
	$(HLINS) -db directors.db -o test1.out test1.in

test2.out: $(HLINS) test2.db test2.in
	$(HLINS) -db test2.db -o test2.out test2.in

clean:
	-rm *.out

distclean: clean
	-rm *~

=== debian/changelog ===
hlins (0.39-23) unstable; urgency=medium

  * Standards-version 4.1.0 (no change).
  * Drop obsolete version constraint on build-dependency dh-ocaml.

 -- Ralf Treinen <treinen@debian.org>  Tue, 19 Sep 2017 21:22:09 +0200

hlins (0.39-22) unstable; urgency=medium

  * Standards-Version 3.9.8 (no change)
  * Debhelper compatibility level 10:
    - bump debian/compat
    - bump build-dependency on debhelper
  * Vcs-{Git,Browser}: use secure URI
  * patch manpage: fix various spelling mistakes in the manpage
  * add Homepage
  * add as-installed package test

 -- Ralf Treinen <treinen@debian.org>  Fri, 16 Dec 2016 08:51:42 +0100

hlins (0.39-21) unstable; urgency=medium

  * Team upload
  * Recompile with ocaml 4.02.3

 -- Stéphane Glondu <glondu@debian.org>  Sat, 10 Oct 2015 07:39:25 +0200

hlins (0.39-20) unstable; urgency=low

  * Team upload
  * Recompile with ocaml 4.01.0
  * Update Vcs-*

 -- Stéphane Glondu <glondu@debian.org>  Tue, 03 Dec 2013 07:48:28 +0100

hlins (0.39-19) unstable; urgency=low

  [ Stéphane Glondu ]
  * Team upload
  * Rebuild with ocaml 3.12.1 (no source changes)

  [ Stefano Zacchiroli ]
  * remove myself from Uploaders

 -- Stéphane Glondu <glondu@debian.org>  Tue, 01 Nov 2011 20:35:54 +0100

hlins (0.39-17) unstable; urgency=low

  * Standards-Version 3.9.2 (no change)
  * Build-depend on dh-ocaml >= 0.9, use ${ocaml:Depends} for dependency
    on ocaml packages. Bump version of ocaml-nox (closes: #599316)
  * debian/rules: convert do dh. bump version on debhelper
  * Do not install LICENCE file.

 -- Ralf Treinen <treinen@debian.org>  Sun, 17 Apr 2011 20:08:23 +0200

hlins (0.39-16) unstable; urgency=low

  * Switch to source format 3.0 (quilt):
    - patches quilt style
    - no more build-dependency on dpatch
    - no more patching in debian/rules
    - add file debian/source
  * Standards-version 3.8.4 (no change)
  * Recompile for ocaml 3.11.2

 -- Ralf Treinen <treinen@debian.org>  Mon, 08 Feb 2010 20:14:27 +0100

hlins (0.39-15) unstable; urgency=low

  [ Stephane Glondu ]
  * Switch packaging to git

  [ Ralf Treinen ]
  * Standards-Version 3.8.2 (no change)
  * Rebuild with ocaml 3.11.1

 -- Ralf Treinen <treinen@debian.org>  Wed, 24 Jun 2009 22:29:14 +0200

hlins (0.39-14) unstable; urgency=low

  * Switch to cdbs, build-depend on cdbs and dh-ocaml
  * Relax build-dependency on ocaml to ">= 3.07" for upload to unstable.
  * Add dependency on ${misc:Depends} 
  * Rename some files in source package:
    - debian/doc-base.hlins -> debian/hlins.doc-base
    - debian/dirs -> debian/hlins.dirs
    - debian/docs -> debian/hlins.docs

 -- Ralf Treinen <treinen@debian.org>  Sun, 22 Feb 2009 23:17:06 +0100

hlins (0.39-13) experimental; urgency=low

  * Rebuild with OCaml 3.11.0
  * debian/control
    - rinse Uploaders list to match the people who recently worked on the
      package
    - bump standards version to 3.8.0 (no changes needed)
    - add build-dep on dh-ocaml
    - bump build-dep on ocaml, to ensure proper build on unstable
  * debian/rules: get rid of deprecated "dh_clean -k" in favour of dh_prep
  * bump debhelper compatibility level to 7 (for the sake of Lenny),
    affected build-dep and debian/compat
  * debian/copyright: clarify that the GPL version is 2 (strict), and
    point to the appropriate file under /usr/share/common-licenses/
    (thanks lintian!)

 -- Stefano Zacchiroli <zack@debian.org>  Wed, 11 Feb 2009 11:24:22 +0100

hlins (0.39-12) unstable; urgency=low

  * Changed doc-base section to Text
  * Rebuild with OCaml 3.10.2.

 -- Ralf Treinen <treinen@debian.org>  Sun, 18 May 2008 22:24:24 +0200

hlins (0.39-11) unstable; urgency=low

  [ Ralf Treinen ]
  * Recompiled for ocaml 3.10.1
  * Standards-Version 3.7.3 (no change)
  * Update Uploaders

  [ Stefano Zacchiroli ]
  * fix vcs-svn field to point just above the debian/ dir

 -- Ralf Treinen <treinen@debian.org>  Thu, 07 Feb 2008 19:57:17 +0100

hlins (0.39-10) unstable; urgency=low

  * Upload to unstable.

 -- Ralf Treinen <treinen@debian.org>  Thu, 30 Aug 2007 21:02:02 +0200

hlins (0.39-9) experimental; urgency=low

  * Rebuild with ocaml 3.10
  * Relax build-dependency to ocaml-nox (>= 3.07), have version of dependency
    on ocaml-base-nox filled in from a substitution variable.
  * Do not ignore error of "make distclean" in "clean" target of debian/rules.

 -- Ralf Treinen <treinen@debian.org>  Wed, 04 Jul 2007 19:32:41 +0200

hlins (0.39-8) unstable; urgency=low

  * Standards-Version 3.7.2 (no change)
  * (Build-)depends on ocaml-3.09.2
  * Turn build-depends-indep on debhelper, dpatch into build-depends

 -- Ralf Treinen <treinen@debian.org>  Tue, 16 May 2006 20:44:37 +0200

hlins (0.39-7) unstable; urgency=low
  
  * Bumped (Build-)dependency on ocaml to 3.09.1
  * New uploader Sylvain Le Gall <gildor@debian.org>
  * Automate update of debian/control.

 -- Ralf Treinen <treinen@debian.org>  Sat,  7 Jan 2006 10:42:18 +0100

hlins (0.39-6) unstable; urgency=low

  * Added debian/svn-deblayout.
  * Bumped (build-)dependency on ocaml-* to 3.09.0.
  * Standards-Version 3.6.2 (no change).
  * debian/rules: dropped invocation of dh_installmanpages.

 -- Ralf Treinen <treinen@debian.org>  Sat,  5 Nov 2005 15:18:23 +0100

hlins (0.39-5) unstable; urgency=low

  * New uploader Samuel Mimram
  * Bumped (build-)dependency on ocaml-* from 3.08 to 3.08.3

 -- Ralf Treinen <treinen@debian.org>  Tue, 22 Mar 2005 22:35:31 +0100

hlins (0.39-4) unstable; urgency=low

  * Build with ocaml 3.08
  * Refine (build-) dependencies on ocaml to nox packages

 -- Ralf Treinen <treinen@debian.org>  Thu, 22 Jul 2004 21:08:23 +0200

hlins (0.39-3) unstable; urgency=low

  * Standards-Version 3.6.1 (no change)
  * Build with ocaml-3.07.
  * Remove version from dependency on dpatch, we don't need it.
  * Upstream repository is now on alioth.debian.org.
  * Fix doc/examples/test-examples/Makefile to use the right hlins.

 -- Ralf Treinen <treinen@debian.org>  Wed,  1 Oct 2003 22:46:20 +0200



=== debian/control ===
Source: hlins
Section: text
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Ralf Treinen <treinen@debian.org>
Standards-Version: 4.1.0
Build-Depends-Indep: ocaml-nox (>= 3.11.1-3~)
Build-Depends: debhelper (>= 10), dh-ocaml
Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/hlins.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-ocaml-maint/packages/hlins.git
Homepage: https://forge.ocamlcore.org/projects/hlins/

Package: hlins
Architecture: all
Depends: ${misc:Depends}, ${ocaml:Depends}
Description: Insert URLs into html documents
 Hlins is a tool to insert hypertext links into HTML documents,
 using a database with entries of the form "name = url". It is 
 designed for inserting URLs of real persons: it knows about
 abbreviations of first and middle names and tolerates dropping
 the second part of a composite last name.

=== debian/rules ===
#!/usr/bin/make	 -f

%:
	dh $@ --with ocaml

override_dh_auto_configure:
	cd source && ./configure

override_dh_auto_clean:
	if [ -e source/Makefile ]; then dh_auto_clean; fi

override_dh_auto_build:
	$(MAKE) all.bc

override_dh_auto_install:
	$(MAKE) install.bc DESTDIR=$(CURDIR)/debian/hlins

## hlins 0.40

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,6 @@
 include Version
 PROGVER = hlins-$(VERSION)
+
 
 dummy: all

=== doc/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # Makefile for the Hlins documentation
 #######################################################################
 
-FILES   = hlins-doc.html changelog LICENSE examples
+FILES   = hlins-doc.html examples
 DOCDIR  = /usr/share/doc/hlins
 MANDIR  = /usr/share/man/man1
 DESTDIR =

=== doc/examples/test-examples/Makefile ===
ifneq (,$(wildcard ../../../source/hlins))
	HLINS := ../../../source/hlins
else ifneq (,$(wildcard ../../../source/hlins.bc))
	HLINS := ../../../source/hlins.bc
else
	HLINS := $(error No hlins found)
endif

all: test1.out test2.out

test1.out: directors.db test1.in
	$(HLINS) -db directors.db -o test1.out test1.in

test2.out: test2.db test2.in
	$(HLINS) -db test2.db -o test2.out test2.in

clean:
	-rm *.out

distclean: clean
	-rm *~

=== debian/changelog ===
hlins (0.40-1build3) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 16 Jun 2025 10:19:38 +0200

hlins (0.40-1build2) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 28 Jan 2025 17:55:23 +0100

hlins (0.40-1build1) oracular; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Aug 2024 14:06:13 +0200

hlins (0.40-1) unstable; urgency=medium

  * New upstream release. This release is un update for OCaml 5.2
    (closes: #1073881)
  * Drop patches that have been integrated upstream:
    - nocustom
    - examples_makefile
    - doc_makefile
    - manpage
    - Fix-compilation-with-OCaml-4.08.0
    - Fix-compilation-with-OCaml-4.13.1
  * Add debian/watch 
  * Standards-Version 4.7.0 (no change)
  * debian/copyright: update source location and copyright year

 -- Ralf Treinen <treinen@debian.org>  Wed, 17 Jul 2024 01:21:54 +0200

hlins (0.39-30) unstable; urgency=medium

  * Team upload
  * Recompile with OCaml 4.14.1
  * Make hlins an arch:any package
  * Bump Standards-Version to 4.6.2

 -- Stéphane Glondu <glondu@debian.org>  Wed, 20 Sep 2023 19:36:11 +0200

hlins (0.39-29) unstable; urgency=medium

  * Team upload
  * Recompile with OCaml 4.13.1

 -- Stéphane Glondu <glondu@debian.org>  Wed, 19 Jan 2022 21:07:40 +0100

hlins (0.39-28) unstable; urgency=medium

  * Team upload
  * Fix compilation with OCaml 4.13.1
  * Bump Standards-Version to 4.6.0

 -- Stéphane Glondu <glondu@debian.org>  Sun, 26 Dec 2021 11:58:14 +0100

hlins (0.39-27) unstable; urgency=medium

  [ Stéphane Glondu ]
  * Team upload
  * Recompile with OCaml 4.11.1
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no

  [ Debian Janitor ]
  * Set debhelper-compat version in Build-Depends.

 -- Stéphane Glondu <glondu@debian.org>  Tue, 13 Oct 2020 07:26:32 +0200

hlins (0.39-26) unstable; urgency=medium

  * Team upload
  * Recompile with OCaml 4.08.1

 -- Stéphane Glondu <glondu@debian.org>  Tue, 05 Nov 2019 09:31:24 +0100

hlins (0.39-25) unstable; urgency=medium

  * Team upload
  * Fix compilation with OCaml 4.08.0

 -- Stéphane Glondu <glondu@debian.org>  Tue, 03 Sep 2019 16:28:56 +0200

hlins (0.39-24) unstable; urgency=medium

  * Update Vcs-* to salsa
  * Standards-Version 4.2.1 (no change)
  * Fix some spelling errors in Descriptions of debian patches
  * Removed trailing whitespace in debian/changelog and debian/control
  * Debhelper compat version 11
  * debian/copyright: machine-readable format 1.0

 -- Ralf Treinen <treinen@debian.org>  Tue, 11 Dec 2018 21:23:59 +0100

=== debian/control ===
Source: hlins
Section: text
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Ralf Treinen <treinen@debian.org>
Standards-Version: 4.7.0
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13), dh-ocaml, ocaml
Vcs-Git: https://salsa.debian.org/ocaml-team/hlins.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/hlins
Homepage: https://forge.ocamlcore.org/projects/hlins/

Package: hlins
Architecture: any
Depends: ${misc:Depends}, ${ocaml:Depends}
Description: Insert URLs into html documents
 Hlins is a tool to insert hypertext links into HTML documents,
 using a database with entries of the form "name = url". It is
 designed for inserting URLs of real persons: it knows about
 abbreviations of first and middle names and tolerates dropping
 the second part of a composite last name.

=== debian/watch ===
version=4

opts="searchmode=plain" \
 https://gitlab.com/treinen/@PACKAGE@/tags?sort=updated_desc \
 -/archive/\d[\d.]+/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate
